FOODSbyme

De API-documentatie is in het Engels.

API-referentie

Driver Status API

Keep rider availability and capacity in sync.

Report your riders’ availability, online status, and capacity so the network can route the right volume to your fleet. Accurate status improves assignment quality and your reliability score.

Mogelijkheden

  • Set riders online, offline, or on-break
  • Report current capacity and active deliveries
  • Update rider vehicle and zone
  • Retrieve aggregate fleet availability

Endpoints

PATCH/v1/riders/{rider_id}/status

Update a rider’s availability

GET/v1/riders

List your riders and their status

GET/v1/fleet/availability

Aggregate availability by zone

Set a rider online

Verzoek
curl -X PATCH https://api.foodsbyme.com/v1/riders/rdr_19f3/status \
  -H "Authorization: Bearer $FOODS_PARTNER_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "status": "online", "zone": "lekki", "capacity": 2 }'
Antwoord · 200 OK
{
  "rider_id": "rdr_19f3",
  "status": "online",
  "zone": "lekki",
  "capacity": 2,
  "active_deliveries": 0,
  "updated_at": "2026-06-13T10:42:11Z"
}

Klaar om te integreren?

Vraag een partnersleutel aan en ons solutionsteam helpt je live te gaan.